/*
 * 11:57:38 07/08/00
 *
 * EdButton.java - A modified button
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package ed;

import javax.swing.Icon;
import javax.swing.JButton;

import java.awt.Color;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * <code>EdButton</code> est un bouton qui s'auto-illumine
 * au passage de la souris.
 * @author Romain Guy
 * @version 1.1
 */

public class EdButton extends JButton
{
  private Color nColor;
  private Color hColor = new Color(192, 192, 210);

  public EdButton()
  {
    super();
    nColor = getBackground();
    addMouseListener(new MouseHandler());
  }

  public EdButton(String label)
  {
    super(label);
    nColor = getBackground();
    addMouseListener(new MouseHandler());
  }

  public EdButton(Icon icon)
  {
    super(icon);
    nColor = getBackground();
    addMouseListener(new MouseHandler());
  }

  public EdButton(String label, Icon icon)
  {
    super(label, icon);
    nColor = getBackground();
    addMouseListener(new MouseHandler());
  }

  class MouseHandler extends MouseAdapter
  {
    public void mouseEntered(MouseEvent me)
    {
      if (isEnabled())
        setBackground(hColor);
    }

    public void mouseExited(MouseEvent me)
    {
      if (isEnabled())
        setBackground(nColor);
    }
  }
}

// End of EdButton.java
