/*
 * 17:15:10 29/04/2001
 *
 * EdEntry.java - Embedded dictionary entry
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * http://www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package ed;

import java.util.ArrayList;

/**
 * <code>EdEntry</code> contient un mot et ses traductions.
 * @author Romain Guy
 * @version 1.0
 * @see ed.EdFactory
 */

public class EdEntry
{
  // publique
  public String word;
  public String[] translations;

  /**
   * Cre une nouvelle entre.
   * @param word Le mot dans la langue originale
   * @param translation Les traductions du mot
   */

  public EdEntry(String word, String[] translations)
  {
    this.word = word;
    this.translations = translations;
  }

  /**
   * Retourne le mot.
   */

  public String getWord()
  {
    return word;
  }

  /**
   * Retourne les traductions.
   */

  public String[] getTranslations()
  {
    return translations;
  }

  /**
   * Affichage sous la forme:<br>
   * mot / traduction 1; traduction 2; ...
   */


  public String toString()
  {
    StringBuffer buf = new StringBuffer(word);
    buf.append(" / ");

    for (int i = 0; i < translations.length; i++)
    {
      if (i > 0)
        buf.append("; ");
      buf.append(translations[i]);
    }

    return buf.toString();
  }
}

// End of EdEntry.java
