/*
 * 17:13:26 29/04/2001
 *
 * Theme.java - Thme pour Swing
 * Copyright (C) 2001 Romain Guy
 * romain.guy@jext.org
 * www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package ed;

import java.awt.Font;

import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

/**
 * Cette classe permet de changer le thme des fontes de l'interface
 * graphique de l'application.
 */

public class Theme extends DefaultMetalTheme
{
  private FontUIResource font = new FontUIResource(new Font("Dialog", Font.PLAIN, 11));

  public Theme()
  {
    super();
  }

  public FontUIResource getControlTextFont()
  {
    return font;
  }

  public FontUIResource getMenuTextFont()
  {
    return font;
  }

  public FontUIResource getSystemTextFont()
  {
    return font;
  }

  public FontUIResource getUserTextFont()
  {
    return font;
  }

  public FontUIResource getWindowTitleFont()
  {
    return font;
  }
}

// End of Theme.java
